#
# spec file for package screenkey
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           screenkey
Version:        0.9
Release:        bp153.1.14
Summary:        A screen-cast tool to show keys
License:        GPL-3.0-only
Group:          Productivity/Graphics/Other
URL:            https://www.thregr.org/~wavexx/software/screenkey/
Source0:        https://github.com/wavexx/screenkey/archive/screenkey-%{version}.tar.gz
Patch0:         screenkey_icon.patch
BuildRequires:  desktop-file-utils
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  python-devel
BuildRequires:  python2-distutils-extra
BuildRequires:  python2-setuptools
BuildRequires:  python2-setuptools-git
Requires:       python
Requires:       python2-cairo
Requires:       python-gtk
Requires:       slop
Recommends:     fontawesome-fonts
Recommends:     python2-appindicator
BuildArch:      noarch

%description
A screencast tool to show keys. Inspired by Screenflick and based on
the key-mon project.

%prep
%setup -q -n screenkey-screenkey-%{version}
%patch0 -p1

%build
CFLAGS="%{optflags}" python setup.py build

%install
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
find build/lib* -name '*.py' -exec sed -i "1{/^#!/d}" {} + && \
python setup.py install -O1 --skip-build --root %{buildroot} --prefix %{_prefix}/
%fdupes -s %{buildroot}

%files
%{_bindir}/screenkey
%{_datadir}/applications/screenkey.desktop
%{python_sitelib}/Screenkey
%{python_sitelib}/screenkey-%{version}-py2.7.egg-info
%doc %{_datadir}/doc/screenkey/

%changelog
* Tue Dec  4 2018 Jan Engelhardt <jengelh@inai.de>
- Compact description. Use multi-argument find -exec.
* Thu Nov 29 2018 mvetter@suse.com
- Update to 0.9:
  * Ctrl+Ctrl detection now works correctly in more scenarios.
  * Ctrl++ (and similar sequences with repeated characters) are now shown as Ctrl+”+” for improved readability.
  * Shift+Backspace is now recognized and shown correctly.
  * Several multimedia keys are now supported. If “FontAwesome” is installed, the correct symbol is also displayed instead of a text abbreviation.
  * Visualization of whitespace characters can now be controlled.
  * Repeated key sequences are now abbreviated with a repeat count if above the specified threshold (3 by default).
- For full ChangeLog since 0.2 see:
  https://www.thregr.org/~wavexx/software/screenkey/NEWS.html
- Run spec-cleaner
- Remove screenkey-fix-popup.patch: upstreamed
- Update screenkey_icon.patch
- Adjust URL, Source and Group
- Add proper requirements
* Thu Oct  4 2012 gregkh@opensuse.org
- fix python-xlib dependancy
- added patch to fix popup not working properly (from upstream)
- cleaned up the spec file a bit
- fixed license to be GPLv3+
* Mon Oct  1 2012 gregkh@opensuse.org
- fixed spec file and got things working for 0.2 release
* Fri Jun 11 2010 William Witt <william@witt-family.net>
- modify icon
- used gnomesu instead of gksu
* Tue Jun  8 2010 William Witt <william@witt-family.net>
- add to OBS
* Tue Jun  8 2010 Ivan Makfinsky <ivan.makfinsky@endosys.com>
- Initial Build
